Advisory Details

October 24th, 2014

Apple OS X GateKeeper Bypass Vulnerability

ZDI-14-368
ZDI-CAN-1923

CVE ID CVE-2014-4391
CVSS SCORE 5.6, (AV:L/AC:L/Au:N/C:P/I:C/A:N)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS OS X
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple OS X. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within Gatekeeper. The issue lies in the usage of signed applications that do not sign the frameworks they depend on. An attacker can leverage this vulnerability to execute code under the context of the user.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
http://support.apple.com/kb/HT6535
DISCLOSURE TIMELINE
  • 2013-07-30 - Vulnerability reported to vendor
  • 2014-10-24 - Coordinated public release of advisory
CREDIT Christopher Hickstein
BACK TO ADVISORIES